﻿#Skill 2.6 Manage SDN

#Troubleshoot SDN
netsh trace start provider=Microsoft-Windows-Hyper-V-VfpExt overwrite=yes tracefile=vfp.etl report=disable provider=Microsoft-Windows-Hyper-V-VmSwitch

#Backup Network Controller
$cred = New-Object Microsoft.Windows.NetworkController.CredentialProperties
$cred.Type = “usernamePassword”
$cred.UserName = “Contoso\BackupUser”
$cred.Value = “pass@word1”
$backupCred = New-NetworkControllerCredential -ConnectionUri $uri -ResourceId “BackupUser” -Properties $cred

$backup = New-Object Microsoft.Windows.NetworkController.NetworkControllerBackupProperties
$backup.BackupPath = “\\server\share\ncbackup”
$backup.Credential = $backupCred
$result = New-NetworkControllerBackup -ConnectionUri $uri -ResourceId “Backup1” -Properties $backup

#Restore Network Controller
$cred = New-Object Microsoft.Windows.NetworkController.CredentialProperties
$cred.Type = “usernamePassword”
$cred.UserName = “contoso\BackupUser”
$cred.Value = “pass@word1”
$backupCred = New-NetworkControllerCredential -ConnectionUri $uri -ResourceId “BackupUser” -Properties $cred

$restore = New-Object Microsoft.Windows.NetworkController.NetworkControllerRestoreProperties
$restore.RestorePath = \\server\share\ncbackup
$restore.Credential = $backupCred
$result = New-NetworkControllerRestore -ConnectionUri $uri -ResourceId “Restore1” -Properties $restore
